import * as cdk from "aws-cdk-lib";
import { Template } from "aws-cdk-lib/assertions";
export declare enum ResourceType {
    LAMBDA_FUNCTION = "AWS::Lambda::Function",
    CLOUDWATCH_ALARM = "AWS::CloudWatch::Alarm",
    DYNAMODB_TABLE = "AWS::DynamoDB::Table",
    SSM_PARAMETER = "AWS::SSM::Parameter"
}
export declare class TestHelper {
    static stage(app?: cdk.App, id?: string): cdk.Stage;
    static stack(scope?: cdk.App | cdk.Stage, id?: string): cdk.Stack;
    static logResources(template: Template, type: string | ResourceType, props?: any): void;
}
